NX Open C++ Reference Guide
|
Represents a Steel Insert feature builder. More...
Public Types | |
enum | InsertTypeOption { InsertTypeOptionTrim, InsertTypeOptionFlange, InsertTypeOptionOffsetFlange } |
Settings for the insert type. More... | |
Public Member Functions | |
double | AngleTolerance () |
Returns the angle tolerance of the diesteelinsert Created in NX4.0.0. | |
int | BackReliefToggle () |
Returns the back relief toggle Created in NX4.0.0. | |
NXOpen::ISurface * | BaseOrientation () |
Returns the base orientation of the steelinsert Created in NX4.0.0. | |
NXOpen::Die::HoleParentBuilder * | BoltHoleParent () |
Returns the bolt hole parent builder of the diesteelinsert Created in NX4.0.0. | |
NXOpen::IReferenceAxis * | CamDirection () |
Returns the cam direction of the steelinsert Created in NX4.0.0. | |
NXOpen::Die::ConnectProfileParentBuilder * | ConnectProfilesParent () |
Returns the connecting profiles parent builder of the diesteelinsert Created in NX4.0.0. | |
bool | DisplayHoles () |
Returns the display holes of the diesteelinsert Created in NX4.0.0. | |
double | DistanceTolerance () |
Returns the distance tolerance of the diesteelinsert casting Created in NX4.0.0. | |
NXOpen::Die::HoleParentBuilder * | DowelHoleParent () |
Returns the dowel hole parent builder of the diesteelinsert Created in NX4.0.0. | |
NXOpen::ISurface * | EndOrientation () |
Returns the end orientation of the steelinsert Created in NX4.0.0. | |
std::vector< NXOpen::ISurface * > | GetBackShape () |
Gets the back shape of the die steelinsert. | |
std::vector< NXOpen::IProfile * > | GetFlangeEndProfile (NXOpen::Die::DirectionOption *direction) |
Gets the flange end profile of the steel insert. | |
void | GetHoleGridOrientation (NXOpen::Point3d *gridOrigin, NXOpen::Matrix3x3 *gridMatrix) |
Gets the hole grid orientation for the dowel and bolt holes Created in NX4.0.0. | |
std::vector< NXOpen::IProfile * > | GetMainProfile (NXOpen::Die::DirectionOption *direction) |
Gets the main profile of the steel insert. | |
NXOpen::Die::SteelInsertBuilder::InsertTypeOption | InsertType () |
Returns the insert type Created in NX4.0.0. | |
NXOpen::Die::PierceHoleParentBuilder * | PierceHoleParent () |
Returns the pierce hole parent builder of the diesteelinsert Created in NX4.0.0. | |
int | ProfileReliefToggle () |
Returns the profile relief toggle Created in NX4.0.0. | |
bool | ReverseTrimSide () |
Returns the reverse trim side setting of the steel insert. | |
NXOpen::Die::FlangeSteelRibParentBuilder * | RibsParent () |
Returns the ribs parent builder of the diesteelinsert Created in NX4.0.0. | |
NXOpen::Die::SteelInsertSectionBuilder * | Section () |
Returns the section builder of the diesteelinsert Created in NX4.0.0. | |
NXOpen::Die::SteelInsertSegmentParentBuilder * | SegmentsParent () |
Returns the segments parent builder of the diesteelinsert Created in NX4.0.0. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance of the diesteelinsert Created in NX4.0.0. | |
void | SetBackReliefToggle (int backReliefToggle) |
Sets the back relief toggle Created in NX4.0.0. | |
void | SetBackShape (const std::vector< NXOpen::ISurface * > &backEntries) |
Created in NX4.0.0. | |
void | SetBaseOrientation (NXOpen::ISurface *baseOrientation) |
Sets the base orientation of the steelinsert Created in NX4.0.0. | |
void | SetCamDirection (NXOpen::IReferenceAxis *camDirection) |
Sets the cam direction of the steelinsert Created in NX4.0.0. | |
void | SetDisplayHoles (bool displayHoles) |
Sets the display holes of the diesteelinsert Created in NX4.0.0. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance of the diesteelinsert casting Created in NX4.0.0. | |
void | SetEndOrientation (NXOpen::ISurface *endOrientation) |
Sets the end orientation of the steelinsert Created in NX4.0.0. | |
void | SetFlangeEndProfile (NXOpen::Die::DirectionOption direction, const std::vector< NXOpen::IProfile * > &profileEntries) |
Sets the flange end profile of the steel insert Created in NX4.0.0. | |
void | SetHoleGridOrientation (const NXOpen::Point3d &gridOrigin, const NXOpen::Matrix3x3 &gridMatrix) |
Created in NX4.0.0. | |
void | SetInsertType (NXOpen::Die::SteelInsertBuilder::InsertTypeOption insertType) |
Sets the insert type Created in NX4.0.0. | |
void | SetMainProfile (NXOpen::Die::DirectionOption direction, const std::vector< NXOpen::IProfile * > &profileEntries) |
Sets the main profile of the steel insert Created in NX4.0.0. | |
void | SetProfileReliefToggle (int profileReliefToggle) |
Sets the profile relief toggle Created in NX4.0.0. | |
void | SetReverseTrimSide (bool reverse) |
Sets the reverse trim side setting of the steel insert. | |
void | SetSheetMetal (NXOpen::Body *sheetMetal) |
Sets the sheet metal of the die steelinsert Created in NX4.0.0. | |
void | SetStartOrientation (NXOpen::ISurface *startOrientation) |
Sets the start orientation of the steelinsert Created in NX4.0.0. | |
NXOpen::Body * | SheetMetal () |
Returns the sheet metal of the die steelinsert Created in NX4.0.0. | |
NXOpen::ISurface * | StartOrientation () |
Returns the start orientation of the steelinsert Created in NX4.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Steel Insert feature builder.
To create a new instance of this class, use Die::DieCollection::Steelinsert
Created in NX4.0.0.
double NXOpen::Die::SteelInsertBuilder::AngleTolerance | ( | ) |
Returns the angle tolerance of the diesteelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
int NXOpen::Die::SteelInsertBuilder::BackReliefToggle | ( | ) |
Returns the back relief toggle
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::ISurface* NXOpen::Die::SteelInsertBuilder::BaseOrientation | ( | ) |
Returns the base orientation of the steelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Die::HoleParentBuilder* NXOpen::Die::SteelInsertBuilder::BoltHoleParent | ( | ) |
Returns the bolt hole parent builder of the diesteelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::IReferenceAxis* NXOpen::Die::SteelInsertBuilder::CamDirection | ( | ) |
Returns the cam direction of the steelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Die::ConnectProfileParentBuilder* NXOpen::Die::SteelInsertBuilder::ConnectProfilesParent | ( | ) |
Returns the connecting profiles parent builder of the diesteelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
bool NXOpen::Die::SteelInsertBuilder::DisplayHoles | ( | ) |
Returns the display holes of the diesteelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Die::SteelInsertBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance of the diesteelinsert casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Die::HoleParentBuilder* NXOpen::Die::SteelInsertBuilder::DowelHoleParent | ( | ) |
Returns the dowel hole parent builder of the diesteelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::ISurface* NXOpen::Die::SteelInsertBuilder::EndOrientation | ( | ) |
Returns the end orientation of the steelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
std::vector<NXOpen::ISurface *> NXOpen::Die::SteelInsertBuilder::GetBackShape | ( | ) |
Gets the back shape of the die steelinsert.
std::vector<NXOpen::IProfile *> NXOpen::Die::SteelInsertBuilder::GetFlangeEndProfile | ( | NXOpen::Die::DirectionOption * | direction | ) |
Gets the flange end profile of the steel insert.
direction | profile direction |
void NXOpen::Die::SteelInsertBuilder::GetHoleGridOrientation | ( | NXOpen::Point3d * | gridOrigin, |
NXOpen::Matrix3x3 * | gridMatrix | ||
) |
Gets the hole grid orientation for the dowel and bolt holes
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
gridOrigin | grid origin |
gridMatrix | grid matrix |
std::vector<NXOpen::IProfile *> NXOpen::Die::SteelInsertBuilder::GetMainProfile | ( | NXOpen::Die::DirectionOption * | direction | ) |
Gets the main profile of the steel insert.
direction | profile direction |
NXOpen::Die::SteelInsertBuilder::InsertTypeOption NXOpen::Die::SteelInsertBuilder::InsertType | ( | ) |
Returns the insert type
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Die::PierceHoleParentBuilder* NXOpen::Die::SteelInsertBuilder::PierceHoleParent | ( | ) |
Returns the pierce hole parent builder of the diesteelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
int NXOpen::Die::SteelInsertBuilder::ProfileReliefToggle | ( | ) |
Returns the profile relief toggle
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
bool NXOpen::Die::SteelInsertBuilder::ReverseTrimSide | ( | ) |
Returns the reverse trim side setting of the steel insert.
True indicates that the trim side should be reversed.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Die::FlangeSteelRibParentBuilder* NXOpen::Die::SteelInsertBuilder::RibsParent | ( | ) |
Returns the ribs parent builder of the diesteelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Die::SteelInsertSectionBuilder* NXOpen::Die::SteelInsertBuilder::Section | ( | ) |
Returns the section builder of the diesteelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Die::SteelInsertSegmentParentBuilder* NXOpen::Die::SteelInsertBuilder::SegmentsParent | ( | ) |
Returns the segments parent builder of the diesteelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
void NXOpen::Die::SteelInsertBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance of the diesteelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
angleTolerance | angle tolerance |
void NXOpen::Die::SteelInsertBuilder::SetBackReliefToggle | ( | int | backReliefToggle | ) |
Sets the back relief toggle
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
backReliefToggle | back relief toggle |
void NXOpen::Die::SteelInsertBuilder::SetBackShape | ( | const std::vector< NXOpen::ISurface * > & | backEntries | ) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
backEntries | back entries |
void NXOpen::Die::SteelInsertBuilder::SetBaseOrientation | ( | NXOpen::ISurface * | baseOrientation | ) |
Sets the base orientation of the steelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
baseOrientation | base orientation |
void NXOpen::Die::SteelInsertBuilder::SetCamDirection | ( | NXOpen::IReferenceAxis * | camDirection | ) |
Sets the cam direction of the steelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
camDirection | cam direction |
void NXOpen::Die::SteelInsertBuilder::SetDisplayHoles | ( | bool | displayHoles | ) |
Sets the display holes of the diesteelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
displayHoles | display holes |
void NXOpen::Die::SteelInsertBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance of the diesteelinsert casting
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
distanceTolerance | distance tolerance |
void NXOpen::Die::SteelInsertBuilder::SetEndOrientation | ( | NXOpen::ISurface * | endOrientation | ) |
Sets the end orientation of the steelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
endOrientation | end orientation |
void NXOpen::Die::SteelInsertBuilder::SetFlangeEndProfile | ( | NXOpen::Die::DirectionOption | direction, |
const std::vector< NXOpen::IProfile * > & | profileEntries | ||
) |
Sets the flange end profile of the steel insert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
direction | profile direction |
profileEntries | profile entries |
void NXOpen::Die::SteelInsertBuilder::SetHoleGridOrientation | ( | const NXOpen::Point3d & | gridOrigin, |
const NXOpen::Matrix3x3 & | gridMatrix | ||
) |
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
gridOrigin | grid origin |
gridMatrix | grid matrix |
void NXOpen::Die::SteelInsertBuilder::SetInsertType | ( | NXOpen::Die::SteelInsertBuilder::InsertTypeOption | insertType | ) |
Sets the insert type
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
insertType | insert type |
void NXOpen::Die::SteelInsertBuilder::SetMainProfile | ( | NXOpen::Die::DirectionOption | direction, |
const std::vector< NXOpen::IProfile * > & | profileEntries | ||
) |
Sets the main profile of the steel insert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
direction | profile direction |
profileEntries | profile entries |
void NXOpen::Die::SteelInsertBuilder::SetProfileReliefToggle | ( | int | profileReliefToggle | ) |
Sets the profile relief toggle
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
profileReliefToggle | profile relief toggle |
void NXOpen::Die::SteelInsertBuilder::SetReverseTrimSide | ( | bool | reverse | ) |
Sets the reverse trim side setting of the steel insert.
True indicates that the trim side should be reversed.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
reverse | reverse |
void NXOpen::Die::SteelInsertBuilder::SetSheetMetal | ( | NXOpen::Body * | sheetMetal | ) |
Sets the sheet metal of the die steelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
sheetMetal | sheet metal |
void NXOpen::Die::SteelInsertBuilder::SetStartOrientation | ( | NXOpen::ISurface * | startOrientation | ) |
Sets the start orientation of the steelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
startOrientation | start orientation |
NXOpen::Body* NXOpen::Die::SteelInsertBuilder::SheetMetal | ( | ) |
Returns the sheet metal of the die steelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::ISurface* NXOpen::Die::SteelInsertBuilder::StartOrientation | ( | ) |
Returns the start orientation of the steelinsert
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")